Drupal 11.0.0-beta1 发布

drupal 11.0.0-beta1 发布

一、版本摘要

这是Drupal下一个主要版本的测试版。Drupal 11测试版旨在为网站所有者和模块或主题作者测试Drupal 11.0的兼容性和升级路径。测试版不用于生产。请参阅准备您的网站升级到较新的主要版本,了解可用于检查Drupal 11模块、主题和网站兼容性的工具。有关11.0.x开发的更多信息,请参阅[meta]2024年发布Drupal 11。11.0.x分支还包括所有最新的提交,这些提交将被后移植到10.3.x及更早的分支。11.0.x与10.3.x几乎相同,只是:
1、弃用的代码将被删除,包括整个弃用的模块。
2、依赖项将酌情更新为新的主要版本。
3、有关所有其他更改,请参阅10.3.x分支。

二、主要更新信息

运行10.2.x或更早版本的Drupal站点在更新到Drupal 11之前,必须首先更新到10.3.0或更高版本,因为在10.3.0之前添加的所有核心更新都已删除。一般来说,在更新到下一个主要版本之前,站点应该更新到当前主要分支的最新版本。

对网站所有者管理的文件的更改

默认的.htaccess文件已更改为删除对Statistics模块的支持,该模块已移动到一个已贡献的模块。贡献的项目现在提供自己的htaccess保护。站点应确保从其自己的文件副本中删除多余的.htaccess规则。

三、Drupal 11对环境的要求

1、PHP

Drupal 11需要启用zlib扩展的PHP8.3。默认情况下,大多数系统都已启用此扩展。

2、数据库

Drupal 11支持的数据库驱动程序的要求如下:

MySQL数据库驱动程序需要MySQL 8.0。

MariaDB数据库驱动程序需要MariaDB 10.6。

PostgreSQL数据库驱动程序需要PostgreSQL 16。

SQLite数据库驱动程序需要带有json1扩展名的SQLite 3.45。

3、Web 服务器

已删除对IIS的支持。鼓励使用IIS的网站更改为受支持的web服务器。Drupal 11不提供web.config文件。我们鼓励报告错误,以防它们也影响IIS以外的web服务器。

四、多个核心模块已从核心模块中移除,并转移到已贡献的项目中

许多模块已经从Drupal核心中删除,并转移到贡献的项目中。在许多情况下,被移除的扩展对站点开发几乎没有影响,可以安全地从站点移除,也可以很容易地用替代方案替换。依赖于已删除模块的站点应在将其站点更新到Drupal11之前使用已贡献的项目版本。Drush可能会绕过update.php上与丢失模块相关的警告和错误消息。升级后,状态报告将显示有关丢失模块的错误。

站点应根据以下列表检查其已安装的模块,并在升级到Drupal 11之前卸载该模块或需要提供的版本。如果站点的功能需要删除模块,则应在升级前将贡献的版本下载到代码库或添加到Composer要求中。不要卸载模块,因为这会破坏模块配置。

  • Actions UI
  • Activity Tracker
  • Book
  • Forum
  • Statistics
  • Tour

五、API 更改

https://www.drupal.org/node/3445169

六、实验模块

实验模块提供了Drupal核心用于测试目的,但尚未得到完全支持。

导航模块提供了新的管理导航。它处于β稳定性。

七、后端(PHP)依赖项更改

1、添加了PHP依赖项

增加了对doctrine/lexer 2.0的依赖。以前,这种依赖性被隐含为doctrine/annotations的依赖性。

2、更新的PHP依赖项

与Drupal10.3.x相比,此测试版包括以下关键的PHP依赖更新:

Symfony已升级到7.1.0-BETA1。Drupal 11.0.0将与Symfony 7.1.0或更高版本的稳定补丁一起发布。

Doctrine Annotations已从1.14.3更新为2.0.1。

PHPUnit已从9.5升级到10.5。测试开发人员应该参考更改记录,以获得突破性更改的摘要以及如何更新PHPUnit 10测试的详细信息。

许多其他依赖项都收到了最新版本的次要和修补程序级别的更新。

八、前端(CSS和JavaScript)依赖项更改

1、删除了前端依赖项

Shepherd.js已作为依赖项删除。Shepherd库仅由Tour模块使用,该模块已从核心中删除。

jQuery Form作为外部依赖项被删除。它现在被分叉成核心,因为它被遗弃在上游。它被标记为@internal,不应被贡献或自定义模块直接使用。

2、更新的前端依赖项

CKEditor 5已从41.2.0更新为41.31。

jQuery 4更新为4.0.0-beta。如果您有扩展jQuery的自定义代码,您应该阅读4.0.0-beta更改日志,因为有新的弃用。如果可能的话,Drupal 11将在11.0.0发布之前更新到jQuery 4.0.0。如果依赖更新可用,Drupal 11的后续测试版也将发布。

jQuery UI更新为1.14-beta。如果您有扩展jQuery UI的自定义代码,您应该阅读1.14.0-beta更改日志。如果可能的话,Drupal 11将在11.0.0发布之前更新到jQuery UI 1.14。在这种情况下,Drupal 11的后续测试版也将发布。

现在Drupal核心开发需要Yarn 4和Corepack。核心开发人员将需要更新他们的环境以使用Yarn 4和corepack。

九、专业的Drupal开发团队 - 成都长风云Drupal开发团队

在2024年,我们已经专注于Drupal开发16年(始于2008年)。无论您计划从Drupal7升级到Drupal10、从旧版本迁移到Drupal9、基于Drupal开发新的系统、企业官网、电商网站,维护基于Drupal开发的系统等,我们都能依靠我们的专业技术为您完成。免费咨询Drupal升级方案,手机号:13795726015 或 微信号:changfengqj 扫微信二维码:

联系我们

提供基于Drupal的门户网站、电子商务网站、移动应用开发及托管服务

联系电话
13981887945
长按加微信
长风云微信
长按关注公众号
长风云公众号